#DEFINE CALL_Z(addr)            call $8C0C \ .dw addr
#DEFINE CALL_(addr)             call $8C0F \ .dw addr
#DEFINE CALL_NZ(addr)           call $8C12 \ .dw addr
#DEFINE CALL_C(addr)            call $8C18 \ .dw addr
#DEFINE CALL_NC(addr)           call $8C1E \ .dw addr
#DEFINE JUMP_Z(addr)            call $8C24 \ .dw addr
#DEFINE JUMP_(addr)             call $8C27 \ .dw addr
#DEFINE JUMP_NZ(addr)           call $8C2A \ .dw addr
#DEFINE JUMP_C(addr)            call $8C30 \ .dw addr
#DEFINE JUMP_NC(addr)           call $8C36 \ .dw addr
#DEFINE ROM_CALL(addr)          call addr
#DEFINE ROM_CALL_C(addr)        call c, addr
#DEFINE ROM_CALL_NC(addr)       call nc, addr
#DEFINE ROM_CALL_Z(addr)        call z, addr
#DEFINE ROM_CALL_NZ(addr)       call nz, addr
#DEFINE RCALL_(addr)            call $8CC8 \ .dw addr

         .org     0
         .include "usgard.h"
         .db      "Calculus 1/2 Formulas",0

start:
  call &sub0
  ld   hl,&text1
  call &sub1
  ld   hl,&text2
  call &sub2
  ld   hl,&text3
  call &sub3
  ld   hl,&text4
  call &sub6
  ld   hl,&text5
  call &sub7
  ld   hl,&text6
  call D_ZT_STR
  call OTH_PAUSE
  
label_y:
  call &sub0
  ld   hl,&text7
  call &sub1
  ld   hl,&text8
  call &sub2
  ld   hl,&text9
  call &sub3
  ld   hl,&text10
  call &sub4
  ld   hl,&text11
  call &sub7
  ld   hl,&text12
  call D_ZT_STR
  
get1:
  call GET_KEY
  cp   K_F1
  jp   z,&label_a
  cp   K_F2
  jp   z,&label_b
  cp   K_F3
  jp   z,&label_c
  cp   K_F4
  jp   z,&label_d
  cp   K_F5
  jp   z,&label_e
  cp   K_EXIT
  jp   z,&label_z
  jr   get1
  
label_a:
  call &sub0
  ld   hl,&text13
  call &sub1
  ld   hl,&text14
  call &sub2
  ld   hl,&text15
  call &sub3
  ld   hl,&text16
  call &sub4
  ld   hl,&text17
  call &sub7
  ld   hl,&text12
  call D_ZT_STR
  
get2:
  call GET_KEY
  cp   K_F1
  jp   z,&label_aa
  cp   K_F2
  jp   z,&label_ab
  cp   K_F3
  jp   z,&label_ac
  cp   K_F4
  jp   z,&label_x
  cp   K_F5
  jp   z,&label_y
  cp   K_EXIT
  jp   z,&label_z  
  jr   get2

label_aa:
  call &sub0
  ld   hl,&text62
  call &sub1
  ld   hl,&text63
  call &sub2
  ld   hl,&text64
  call &sub7
  ld   hl,&text18
  call D_ZT_STR

get3:
  call GET_KEY
  cp   K_F1
  jp   z,&label_a
  cp   K_EXIT
  jp   z,&label_z
  jr   get3
  
label_ab:
  call &sub0
  ld   hl,&text65
  call &sub1
  ld   hl,&text66
  call &sub2
  ld   hl,&text67
  call &sub3
  ld   hl,&text68
  call &sub4
  ld   hl,&text69
  call &sub5
  ld   hl,&text70
  call &sub6
  ld   hl,&text71
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jr   get3   

label_ac:
  call &sub0
  ld   hl,&text72
  call &sub1
  ld   hl,&text73
  call &sub2
  ld   hl,&text74
  call &sub3
  ld   hl,&text75
  call &sub4
  ld   hl,&text76
  call &sub5
  ld   hl,&text77
  call &sub6
  ld   hl,&text78
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jr   get3

label_x:
  call &sub0
  ld   hl,&text19
  call &sub1
  ld   hl,&text20
  call &sub2
  ld   hl,&text21
  call &sub3
  ld   hl,&text22
  call &sub4
  ld   hl,&text23
  call &sub7
  ld   hl,&text24
  call D_ZT_STR
  
get2x:
  call GET_KEY
  cp   K_F1
  jp   z,&label_ad
  cp   K_F2
  jp   z,&label_ae
  cp   K_F3
  jp   z,&label_af
  cp   K_F4
  jp   z,&label_ag
  cp   K_F5
  jp   z,&label_a
  cp   K_EXIT
  jp   z,&label_z  
  jr   get2x

label_ad:
  call &sub0
  ld   hl,&text79
  call &sub1
  ld   hl,&text80
  call &sub2
  ld   hl,&text81
  call &sub3
  ld   hl,&text82
  call &sub4
  ld   hl,&text83
  call &sub5
  ld   hl,&text84
  call &sub7
  ld   hl,&text18
  call D_ZT_STR

get3d:
  call GET_KEY
  cp   K_F1
  jp   z,&label_x
  cp   K_EXIT
  jp   z,&label_z
  jr   get3d

label_ae:
  call &sub0
  ld   hl,&text85
  call &sub1
  ld   hl,&text86
  call &sub2
  ld   hl,&text87
  call &sub3
  ld   hl,&text88
  call &sub4
  ld   hl,&text89
  call &sub5
  ld   hl,&text90
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jr   get3d

label_af:
  call &sub0
  ld   hl,&text91
  call &sub1
  ld   hl,&text92
  call &sub2
  ld   hl,&text93
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jr   get3d
    
label_ag:
  call &sub0
  ld   hl,&text94
  call &sub1
  ld   hl,&text95
  call &sub2
  ld   hl,&text96
  call &sub3
  ld   hl,&text97
  call &sub4
  ld   hl,&text98
  call &sub5
  ld   hl,&text99
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jp   &get3d

label_b:
  call &sub0
  ld   hl,&text25
  call &sub1
  ld   hl,&text29
  call &sub2
  ld   hl,&text30
  call &sub3
  ld   hl,&text16
  call &sub4
  ld   hl,&text17
  call &sub7
  ld   hl,&text12
  call D_ZT_STR

get4:
  call GET_KEY
  cp   K_F1
  jp   z,&label_ba
  cp   K_F2
  jp   z,&label_bb
  cp   K_F3
  jp   z,&label_bc
  cp   K_F4
  jp   z,&label_bx
  cp   K_F5
  jp   z,&label_y
  cp   K_EXIT
  jp   z,&label_z  
  jr   get4
  
label_ba:
  call &sub0
  ld   hl,&text100
  call &sub1
  ld   hl,&text101
  call &sub7
  ld   hl,&text18
  call D_ZT_STR

get4a:
  call GET_KEY
  cp   K_F1
  jp   z,&label_b
  cp   K_EXIT
  jp   z,&label_z
  jr   get4a

label_bb:
  call &sub0
  ld   hl,&text102
  call &sub1
  ld   hl,&text103
  call &sub2
  ld   hl,&text104
  call &sub3
  ld   hl,&text105
  call &sub4
  ld   hl,&text106
  call &sub5
  ld   hl,&text107
  call &sub6
  ld   hl,&text108
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jr   get4a

label_bc:
  call &sub0
  ld   hl,&text109
  call &sub1
  ld   hl,&text110
  call &sub2
  ld   hl,&text111
  call &sub3
  ld   hl,&text112
  call &sub4
  ld   hl,&text113
  call &sub5
  ld   hl,&text114
  call &sub6
  ld   hl,&text115  
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jr   get4a

label_bx:
  call &sub0
  ld   hl,&text31
  call &sub1
  ld   hl,&text34
  call &sub2
  ld   hl,&text35
  call &sub3
  ld   hl,&text36
  call &sub7
  ld   hl,&text37
  call D_ZT_STR

get4x:
  call GET_KEY
  cp   K_F1
  jp   z,&label_bd
  cp   K_F2
  jp   z,&label_be
  cp   K_F3
  jp   z,&label_bf
  cp   K_F4
  jp   z,&label_b
  cp   K_EXIT
  jp   z,&label_z  
  jr   get4x
  
label_bd:
  call &sub0
  ld   hl,&text116
  call &sub1
  ld   hl,&text117
  call &sub2
  ld   hl,&text118
  call &sub3
  ld   hl,&text119
  call &sub4
  ld   hl,&text120
  call &sub5
  ld   hl,&text121
  call &sub6
  ld   hl,&text122
  call &sub7
  ld   hl,&text18
  call D_ZT_STR

get4d:
  call GET_KEY
  cp   K_F1
  jp   z,&label_bx
  cp   K_EXIT
  jp   z,&label_z
  jr   get4d

label_be:
  call &sub0
  ld   hl,&text123
  call &sub1
  ld   hl,&text124
  call &sub2
  ld   hl,&text125
  call &sub3
  ld   hl,&text126
  call &sub4
  ld   hl,&text127
  call &sub5
  ld   hl,&text128
  call &sub6
  ld   hl,&text129  
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jr   get4d

label_bf:
  call &sub0
  ld   hl,&text130
  call &sub1
  ld   hl,&text131
  call &sub2
  ld   hl,&text431
  call &sub3
  ld   hl,&text132
  call &sub4
  ld   hl,&text133
  call &sub5
  ld   hl,&text134    
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jr   get4d

label_c:
  call &sub0
  ld   hl,&text38
  call &sub1
  ld   hl,&text39
  call &sub2
  ld   hl,&text40
  call &sub3
  ld   hl,&text16
  call &sub4
  ld   hl,&text17
  call &sub7
  ld   hl,&text12
  call D_ZT_STR
  
get5:
  call GET_KEY
  cp   K_F1
  jp   z,&label_ca
  cp   K_F2
  jp   z,&label_cb
  cp   K_F3
  jp   z,&label_cc
  cp   K_F4
  jp   z,&label_cx
  cp   K_F5
  jp   z,&label_y
  cp   K_EXIT
  jp   z,&label_z  
  jr   get5

label_ca:
  call &sub0
  ld   hl,&text135
  call &sub1
  ld   hl,&text136
  call &sub2
  ld   hl,&text137
  call &sub3
  ld   hl,&text138
  call &sub4
  ld   hl,&text139
  call &sub5
  ld   hl,&text140  
  call &sub6
  ld   hl,&text141    
  call &sub7
  ld   hl,&text18
  call D_ZT_STR

get5a:
  call GET_KEY
  cp   K_F1
  jp   z,&label_c
  cp   K_EXIT
  jp   z,&label_z
  jr   get5a
  
label_cb:
  call &sub0
  ld   hl,&text142
  call &sub1
  ld   hl,&text143
  call &sub2
  ld   hl,&text144
  call &sub3
  ld   hl,&text145
  call &sub4
  ld   hl,&text146
  call &sub5
  ld   hl,&text147  
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jr   get5a

label_cc:
  call &sub0
  ld   hl,&text149
  call &sub1
  ld   hl,&text150
  call &sub2
  ld   hl,&text151
  call &sub3
  ld   hl,&text152
  call &sub4
  ld   hl,&text153
  call &sub5
  ld   hl,&text154
  call &sub6
  ld   hl,&text155  
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jr   get5a

label_cx:
  call &sub0
  ld   hl,&text41
  call &sub1
  ld   hl,&text42
  call &sub2
  ld   hl,&text43
  call &sub7
  ld   hl,&text44
  call D_ZT_STR

get5x:
  call GET_KEY
  cp   K_F1
  jp   z,&label_cd
  cp   K_F2
  jp   z,&label_ce
  cp   K_F3
  jp   z,&label_c
  cp   K_EXIT
  jp   z,&label_z  
  jr   get5x
  
label_cd:
  call &sub0
  ld   hl,&text156
  call &sub1
  ld   hl,&text157
  call &sub2
  ld   hl,&text158
  call &sub3
  ld   hl,&text159
  call &sub4
  ld   hl,&text160
  call &sub7
  ld   hl,&text18
  call D_ZT_STR

get5d:
  call GET_KEY
  cp   K_F1
  jp   z,&label_cx
  cp   K_EXIT
  jp   z,&label_z
  jr   get5d

label_ce:
  call &sub0
  ld   hl,&text161
  call &sub1
  ld   hl,&text162
  call &sub2
  ld   hl,&text163
  call &sub3
  ld   hl,&text164
  call &sub4
  ld   hl,&text165
  call &sub5
  ld   hl,&text166
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jr   get5d

label_d:
  call &sub0
  ld   hl,&text38
  call &sub1
  ld   hl,&text39
  call &sub2
  ld   hl,&text45
  call &sub3
  ld   hl,&text16
  call &sub4
  ld   hl,&text17
  call &sub7
  ld   hl,&text12
  call D_ZT_STR
  
get6:
  call GET_KEY
  cp   K_F1
  jp   z,&label_da
  cp   K_F2
  jp   z,&label_db
  cp   K_F3
  jp   z,&label_dc
  cp   K_F4
  jp   z,&label_dx
  cp   K_F5
  jp   z,&label_y
  cp   K_EXIT
  jp   z,&label_z  
  jr   get6

label_da:
  call &sub0
  ld   hl,&text167
  call &sub1
  ld   hl,&text168
  call &sub2
  ld   hl,&text169
  call &sub3
  ld   hl,&text170
  call &sub4
  ld   hl,&text171
  call &sub5
  ld   hl,&text172  
  call &sub6
  ld   hl,&text173    
  call &sub7
  ld   hl,&text18
  call D_ZT_STR

get6a:
  call GET_KEY
  cp   K_F1
  jp   z,&label_d
  cp   K_EXIT
  jp   z,&label_z
  jr   get6a
  
label_db:
  call &sub0
  ld   hl,&text174
  call &sub1
  ld   hl,&text175
  call &sub2
  ld   hl,&text176
  call &sub3
  ld   hl,&text177
  call &sub4
  ld   hl,&text178
  call &sub5
  ld   hl,&text179
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jr   get6a   

label_dc:
  call &sub0
  ld   hl,&text180
  call &sub1
  ld   hl,&text181
  call &sub2
  ld   hl,&text182
  call &sub3
  ld   hl,&text183
  call &sub4
  ld   hl,&text184
  call &sub5
  ld   hl,&text185
  call &sub6
  ld   hl,&text186
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jr   get6a

label_dx:
  call &sub0
  ld   hl,&text46
  call &sub1
  ld   hl,&text47
  call &sub2
  ld   hl,&text48
  call &sub3
  ld   hl,&text49
  call &sub4
  ld   hl,&text23
  call &sub7
  ld   hl,&text50
  call D_ZT_STR
  
get6x:
  call GET_KEY
  cp   K_F1
  jp   z,&label_dd
  cp   K_F2
  jp   z,&label_de
  cp   K_F3
  jp   z,&label_df
  cp   K_F4
  jp   z,&label_dy
  cp   K_F5
  jp   z,&label_d
  cp   K_EXIT
  jp   z,&label_z  
  jr   get6x

label_dd:
  call &sub0
  ld   hl,&text187
  call &sub1
  ld   hl,&text188
  call &sub2
  ld   hl,&text189
  call &sub3
  ld   hl,&text190
  call &sub4
  ld   hl,&text191
  call &sub5
  ld   hl,&text192
  call &sub6
  ld   hl,&text193  
  call &sub7
  ld   hl,&text18
  call D_ZT_STR

get6d:
  call GET_KEY
  cp   K_F1
  jp   z,&label_dx
  cp   K_EXIT
  jp   z,&label_z
  jr   get6d

label_de:
  call &sub0
  ld   hl,&text194
  call &sub1
  ld   hl,&text195
  call &sub2
  ld   hl,&text196
  call &sub3
  ld   hl,&text197
  call &sub4
  ld   hl,&text198
  call &sub5
  ld   hl,&text199
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jr   get6d

label_df:
  call &sub0
  ld   hl,&text200
  call &sub1
  ld   hl,&text201
  call &sub2
  ld   hl,&text202
  call &sub1
  ld   hl,&text203
  call &sub2
  ld   hl,&text204  
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jr   get6d

label_dy:
  call &sub0
  ld   hl,&text51
  call &sub1
  ld   hl,&text52
  call &sub2
  ld   hl,&text53
  call &sub3
  ld   hl,&text54
  call &sub4
  ld   hl,&text55
  call &sub7
  ld   hl,&text56
  call D_ZT_STR
  
get6y:
  call GET_KEY
  cp   K_F1
  jp   z,&label_dg
  cp   K_F2
  jp   z,&label_dh
  cp   K_F3
  jp   z,&label_di
  cp   K_F4
  jp   z,&label_dj
  cp   K_F5
  jp   z,&label_dx
  cp   K_EXIT
  jp   z,&label_z  
  jr   get6y

label_dg:
  call &sub0
  ld   hl,&text205
  call &sub1
  ld   hl,&text206
  call &sub2
  ld   hl,&text207
  call &sub3
  ld   hl,&text208
  call &sub4
  ld   hl,&text209
  call &sub5
  ld   hl,&text210
  call &sub7
  ld   hl,&text18
  call D_ZT_STR

get6g:
  call GET_KEY
  cp   K_F1
  jp   z,&label_dy
  cp   K_EXIT
  jp   z,&label_z
  jr   get6g

label_dh:
  call &sub0
  ld   hl,&text211
  call &sub1
  ld   hl,&text212
  call &sub2
  ld   hl,&text213
  call &sub3
  ld   hl,&text214
  call &sub4
  ld   hl,&text215
  call &sub7
  ld   hl,&text18  
  call D_ZT_STR
  jr   get6g

label_di:
  call &sub0
  ld   hl,&text216
  call &sub1
  ld   hl,&text217
  call &sub2
  ld   hl,&text218
  call &sub3
  ld   hl,&text219
  call &sub4
  ld   hl,&text220  
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jr   get6g
    
label_dj:
  call &sub0
  ld   hl,&text221
  call &sub1
  ld   hl,&text222
  call &sub2
  ld   hl,&text223
  call &sub3
  ld   hl,&text224
  call &sub4
  ld   hl,&text225
  call &sub5
  ld   hl,&text226
  call &sub6
  ld   hl,&text227  
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jp   &get6g

label_e:
  call &sub0
  ld   hl,&text57
  call &sub1
  ld   hl,&text58
  call &sub2
  ld   hl,&text59
  call &sub3
  ld   hl,&text16
  call &sub4
  ld   hl,&text17
  call &sub7
  ld   hl,&text12
  call D_ZT_STR
  
get7:
  call GET_KEY
  cp   K_F1
  jp   z,&label_ea
  cp   K_F2
  jp   z,&label_eb
  cp   K_F3
  jp   z,&label_ec
  cp   K_F4
  jp   z,&label_ex
  cp   K_F5
  jp   z,&label_y
  cp   K_EXIT
  jp   z,&label_z  
  jr   get7

label_ea:
  call &sub0
  ld   hl,&text228
  call &sub1
  ld   hl,&text229
  call &sub2
  ld   hl,&text230
  call &sub3
  ld   hl,&text231
  call &sub4
  ld   hl,&text232  
  call &sub7
  ld   hl,&text18
  call D_ZT_STR

get7a:
  call GET_KEY
  cp   K_F1
  jp   z,&label_e
  cp   K_EXIT
  jp   z,&label_z
  jr   get7a
  
label_eb:
  call &sub0
  ld   hl,&text233
  call &sub1
  ld   hl,&text234
  call &sub2
  ld   hl,&text235
  call &sub3
  ld   hl,&text236
  call &sub4
  ld   hl,&text237
  call &sub5
  ld   hl,&text238
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jr   get7a   

label_ec:
  call &sub0
  ld   hl,&text239
  call &sub1
  ld   hl,&text241
  call &sub2
  ld   hl,&text242
  call &sub3
  ld   hl,&text243
  call &sub4
  ld   hl,&text244
  call &sub5
  ld   hl,&text245
  call &sub6
  ld   hl,&text246
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jr   get7a

label_ex:
  call &sub0
  ld   hl,&text60
  call &sub1
  ld   hl,&text61
  call &sub2
  ld   hl,&text43
  call &sub7
  ld   hl,&text44
  call D_ZT_STR
  
get7x:
  call GET_KEY
  cp   K_F1
  jp   z,&label_ed
  cp   K_F2
  jp   z,&label_ee
  cp   K_F3
  jp   z,&label_e
  cp   K_EXIT
  jp   z,&label_z  
  jr   get7x

label_ed:
  call &sub0
  ld   hl,&text147
  call &sub1
  ld   hl,&text149
  call &sub2
  ld   hl,&text150
  call &sub3
  ld   hl,&text151
  call &sub7
  ld   hl,&text18
  call D_ZT_STR

get7d:
  call GET_KEY
  cp   K_F1
  jp   z,&label_ex
  cp   K_EXIT
  jp   z,&label_z
  jr   get7d

label_ee:
  call &sub0
  ld   hl,&text252
  call &sub1
  ld   hl,&text253
  call &sub2
  ld   hl,&text255
  call &sub7
  ld   hl,&text18
  call D_ZT_STR
  jr   get7d
                                                                                                                                                                                            
sub0:
  call CLEARLCD
  ld   de,$0000
  ld   (CURSOR_ROW),de
  ret

sub1:
  call D_ZT_STR
  ld   de,$0001
  ld   (CURSOR_ROW),de
  ret

sub2:
  call D_ZT_STR
  ld   de,$0002
  ld   (CURSOR_ROW),de
  ret

sub3:
  call D_ZT_STR
  ld   de,$0003
  ld   (CURSOR_ROW),de
  ret

sub4:
  call D_ZT_STR
  ld   de,$0004
  ld   (CURSOR_ROW),de
  ret

sub5:
  call D_ZT_STR
  ld   de,$0005
  ld   (CURSOR_ROW),de
  ret

sub6:
  call D_ZT_STR
  ld   de,$0006
  ld   (CURSOR_ROW),de
  ret

sub7:
  call D_ZT_STR
  ld   de,$0007
  ld   (CURSOR_ROW),de
  ret

label_z:
  ret

text1:
 .db "CALCULUS 1/2",0
text2:
 .db "FORMULAS",0
text3:
 .db "V1.0",0
text4:
 .db "(C) 2002",0
text5:
 .db "WILSON NG",0
text6:
 .db "WAESH@YAHOO",0

text7:
 .db "1) TRIG",0
text8:
 .db "2) OTHER",0
text9:
 .db "3) DERIV",0
text10:
 .db "4) INTEG",0
text11:
 .db "5) REVOL",0
text12:
 .db " 1   2    3    4   5",0

text13:
 .db "1) IDENT",0
text14:
 .db "2) FUNCT",0
text15:
 .db "3) DBL ANGLE",0
text16:
 .db "4) MORE",0
text17:
 .db "5) BACK",0
text18:
 .db "BACK",0

text19:
 .db "6) F(-X)",0
text20:
 .db "7) +/DIFF",0
text21:
 .db "8) LIMITS",0
text22:
 .db "9) COFNCT",0
text23:
 .db "10) BACK",0
text24:
 .db " 6   7    8    9  10",0

text25:
 .db "1) ALGEB",0
text29:
 .db "2) GEOM",0
text30:
 .db "3) ROOTS",0

text31:
 .db "6) LN/E",0
text34:
 .db "7) PASC T",0
text35:
 .db "8) PHYSIC",0
text36:
 .db "9) BACK",0
text37:
 .db " 6   7    8    9",0

text38:
 .db "1) RULES",0
text39:
 .db "2) TRIG",0
text40:
 .db "3) TRIG^-1",0

text41:
 .db "6) +-*/",0
text42:
 .db "7) LIMITS",0
text43:
 .db "8) BACK",0
text44:
 .db " 6   7    8",0

text45:
 .db "3) TRIG^2",0

text46:
 .db "6) LN TRIG",0
text47:
 .db "7) AREA",0
text48:
 .db "8) MISC",0
text49:
 .db "9) MORE",0
text50:
 .db " 6   7    8    9  10",0

text51:
 .db "11) INV TRIG",0
text52:
 .db "12) TRAPZ",0
text53:
 .db "13) SIMPS",0
text54:
 .db "14) SUM:",0
text55:
 .db "15) BACK",0
text56:
 .db "11  12   13   14  15",0

text57:
 .db "1) DISC",0
text58:
 .db "2) WASHR",0
text59:
 .db "3) SHELL",0

text60:
 .db "6) ARCL",0
text61:
 .db "7) SURF A",0

text62:
 .db "cosx + sinx =1",0
text63:
 .db "cotx + 1 =cscx",0
text64:
 .db "1 + tanx =secx",0

text65:
 .db "sinX=y/r =1/cscX",0
text66:
 .db "cosX=x/r =1/secX",0
text67:
 .db "cscX=r/y =1/sinX",0
text68:
 .db "secX=r/x =1/cosX",0
text69:
 .db "tanX=y/x= sinX/",0
text70:
 .db "cosX  cotX=x/y=",0
text71:
 .db "cos X/sin X",0

text72:
 .db "sin2x=2sinxcosx",0
text73:
 .db "cos2x=cosx-sinx",0
text74:
 .db "=1-2sinx=2cosx-1",0
text75:
 .db "-1 tan2x=2tanx",0
text76:
 .db "/(1-tanx)",0
text77:
 .db "sinx=1-cos 2x/2",0
text78:
 .db "cosx=1+cos 2x/2",0

text79:
 .db "sin-x=-sin x ODD",0
text80:
 .db "cos-x=cos x EVEN",0
text81:
 .db "tan(-x)=-tan x",0
text82:
 .db "csc(-x)=-csc x",0
text83:
 .db "sec(-x)=sec x",0
text84:
 .db "cot(-x)=-cot x",0

text85:
 .db "sin(X+-0)=sinX*",0
text86:
 .db " cos0+- cosXsin0",0
text87:
 .db "cos(X+-0)=cosX*",0
text88:
 .db " cos0-+ sinXsin0",0
text89:
 .db "tan(X+-0)=tanX+-",0
text90:
 .db "tan0/1-+tanXtan0",0

text91:
 .db "limx->0 sinx/x=1",0
text92:
 .db " x->0 1-cosx/x=0",0
text93:
 .db " x->oo sinx/x=0",0

text94:
 .db "sin(/2-x) =cosx",0
text95:
 .db "cos(/2-x) =sinx",0
text96:
 .db "csc(/2-x) =secx",0
text97:
 .db "sec(/2-x) =cscx",0
text98:
 .db "tan(/2-x) =cotx",0
text99:
 .db "cot(/2-x) =tanx",0

text100:
 .db "a^m*a^n = a^m+n",0
text101:
 .db "a^m/a^n = a^m-n",0

text102:
 .db "V=vo, A=ar, h=ht",0
text103:
 .db "CIR A=r, C=2r",0
text104:
 .db "ELLIPSE   A=ab",0
text105:
 .db "TRAP A=h/2(a+b)",0
text106:
 .db "CONE  V=(/3)rh",0
text107:
 .db "SPHE V=(4/3)r^3",0
text108:
 .db "CYLINDER  V=rh",0

text109:
 .db "QUAD FORMULA FOR",0
text110:
 .db "ax+bx+c=0 x=b",0
text111:
 .db "+-(b-4ac)/2a",0
text112:
 .db "NEWT METH Xn?",0
text113:
 .db "=Xn-f(Xn)/f'(Xn)",0
text114:
 .db "PICD METH f(x)=",0
text115:
 .db "0,g(x)=f(x)+x=x",0

text116:
 .db "ln x= (1/t)dt",0
text117:
 .db "x>0 e=lim x->oo",0
text118:
 .db "(1+1/x) ln ab =",0
text119:
 .db "ln a+ln b ln a=",0
text120:
 .db "x*ln a ln a/b=",0
text121:
 .db "ln a-ln b ln e=",0
text122:
 .db "x =e^(ln x)",0

text123:
 .db "(x-y) 11",0
text124:
 .db " ^2  12 1",0
text125:
 .db " 3  13 3 1",0
text126:
 .db " 4 14  6 4 1",0
text127:
 .db "5 15 1010  51",0
text128:
 .db "(x-y)=x-3xy+",0
text129:
 .db " 3xy-y",0

text130:
 .db "s(t=.5gt+vt+s",0
text131:
 .db "g=-32ft/s OR ",0
text431:
 .db "-9.8m/s v(t=s'(t",0
text132:
 .db "a(t)=v'(t)=s''(t",0
text133:
 .db "AVERAGE VELOCITY",0
text134:
 .db "= dist/time",0

text135:
 .db "d/dx x^n=nx^(n-1",0
text136:
 .db "d/dx f(u=f'(u)u'",0
text137:
 .db "d/dxln u= u'/u",0
text138:
 .db "d/dxe^u= u'e^u",0
text139:
 .db " logu=u'/uln1",0
text140:
 .db "a^x=(ln a)a^x",0
text141:
 .db "|u|= uu'/|u|",0

text142:
 .db "d/dxsin x=cosx",0
text143:
 .db "d/dxcosx=-sinx",0
text144:
 .db "d/dxtanx=secx",0
text145:
 .db " cotx= -cscx",0
text146:
 .db " secx=secxtanx",0
text147:
 .db "cscx=-cscxcotx",0

text149:
 .db "arcsx x'/(1-x)",0
text150:
 .db "cosx -x'/(1-x)",0
text151:
 .db " tanx  x'/(1+x)",0
text152:
 .db " cotx -x'/(1+x)",0
text153:
 .db "secx x'/(|x|",0
text154:
 .db " (x-1) cscx..",0
text155:
 .db " -x'/(|x|(x-1)",0

text156:
 .db "d/dxf+g=f'+g'",0
text157:
 .db "d/dxf-g=f'-g'",0
text158:
 .db " f*g=f*g' + f'*g",0
text159:
 .db " f/g=(g*f'-f*g')",0
text160:
 .db "/g^2",0

text161:
 .db "f'=lim x->0 ",0
text162:
 .db "f(x+x)-f(x/x",0
text163:
 .db "f'(c)=lim x->c",0
text164:
 .db " f(x)-f(c) / x-c",0
text165:
 .db "lim x->oo ",0
text166:
 .db " (sin x)/x=0",0

text167:
 .db "F'dx=Fkdx=kx+C",0
text168:
 .db "f+-g =fdx+-g",0
text169:
 .db "x^ndx=x^(n+1)+C",0
text170:
 .db "   --n-1--  n1",0
text171:
 .db "a^udu=a^u/lna C",0
text172:
 .db "e^u dx =e^u +C",0
text173:
 .db "u dv=uv - v du",0

text174:
 .db "cosx dx= sinx+C",0
text175:
 .db "sinx dx=-cosx+C",0
text176:
 .db "secx dx=tanx+C",0
text177:
 .db "secxtanx=secx+C",0
text178:
 .db "cscxdx=-cotx+C",0
text179:
 .db "cscxcotx=-cscx+C",0

text180:
 .db "sinu du=.5u-",0
text181:
 .db ".25sin2u cosu",0
text182:
 .db " du=u+ sin 2u",0
text183:
 .db "tanudu=tanu -u",0
text184:
 .db "usinu du= sinu-",0
text185:
 .db " ucosu ucosu du",0
text186:
 .db " = cosu+usinu",0

text187:
 .db "(u'/u) =ln|u|+C",0
text188:
 .db "tanu=-ln|cosu|+C",0
text189:
 .db "cotu=ln|sinu|+C",0
text190:
 .db "sec u du=",0
text191:
 .db " ln|secu+tanu|+C",0
text192:
 .db "csc u du= -ln*",0
text193:
 .db " |cscu + cotu|+C",0

text194:
 .db "fnInt(f(x),x,a,b",0
text195:
 .db "    n  n->oo i=1",0
text196:
 .db "lim  f(ci)xi",0
text197:
 .db "  c sub i=a+i*x",0
text198:
 .db "  xi = (b-a)/n",0
text199:
 .db "F(b-F(a let F'=f",0

text200:
 .db "AVG VALUE OF F=",0
text201:
 .db " 1/b-a*f(x)dx",0
text202:
 .db "AREA BETW CURVES",0
text203:
 .db " =f(x)-g(x)dx ",0
text204:
 .db " f(x) > g(x)",0

text205:
 .db "du/(a-u)=",0
text206:
 .db "  arcsin(u/a)+C",0
text207:
 .db "du/(a+u)=1/a*",0
text208:
 .db " arctan(u/a)+C",0
text209:
 .db "u(u-a)=1/a*",0
text210:
 .db " sec |u|/a +C",0

text211:
 .db "TRAPEZOIDAL RULE",0
text212:
 .db "f(x)dx=b-a/2n*",0
text213:
 .db " f(x)+2f(x)+",0
text214:
 .db " 2f(x)+...+",0
text215:
 .db " 2f(Xn)+f(Xn)",0

text216:
 .db "SIMPSON'S RULE",0
text217:
 .db "f(x)dx=b-a/3n*",0
text218:
 .db " f(x)+4f(x)+",0
text219:
 .db " 2f(x)+4f(x)+.",0
text220:
 .db ".+4f(Xn)+f(Xn)",0

text221:
 .db "n      n  n(n+1)",0
text222:
 .db " c=cn  i=-----",0
text223:
 .db "i=1   i=1   2",0
text224:
 .db "n,i=1, i= ",0
text225:
 .db " n(n+1)(2n+1)/6",0
text226:
 .db "ni=(i)=n*",0
text227:
 .db " (n+1)/4",0

text228:
 .db "DISC MET revolve",0
text229:
 .db "about horiz axis",0
text230:
 .db " V=r(x)dx",0
text231:
 .db "about vertical axis",0
text232:
 .db "V=*dcR(y)dy",0

text233:
 .db "WASHER M revolve",0
text234:
 .db "about horiz axis",0
text235:
 .db "V=R(x)-",0
text236:
 .db " r(x)dx about",0
text237:
 .db " vertical axis",0
text238:
 .db " dc R(y) r(y)dy",0

text239:
 .db "SHELL: hori axis",0
text241:
 .db "V=2 dcp(y)*",0
text242:
 .db " h(y)dy about",0
text243:
 .db " vert axis V=2",0
text244:
 .db "abp(x)*h(x)dx",0
text245:
 .db " p(x/y)=avg rad",0
text246:
 .db " h(x/y)=ht",0

text247:
 .db "for y=f(x)",0
text249:
 .db "s=1+f'(x)dx",0
text250:
 .db "for x=f(y) s=c",0
text251:
 .db " 1+f'(y) dy",0

text252:
 .db "Surface area of rev.",0
text253:
 .db "S=2r(x)1+[f'(x)]",0
text255:
 .db "S=2r(y)1+[g'(y)]",0


.end


